tigase.conf

## Class ConfigReader

- java.lang.Object
- - tigase.conf.ConfigReader

-     public class ConfigReader
      extends Object

  Created by andrzej on 05.06.2016.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigReader.AbstractEnvironmentPropertyVariable`
    `static class` | `ConfigReader.CompositeVariable`
    `static class` | `ConfigReader.ConfigException`
    `static class` | `ConfigReader.EnvironmentVariable`
    `static class` | `ConfigReader.InvalidFormatException`
    `static class` | `ConfigReader.PropertyVariable`
    `static class` | `ConfigReader.State`
    `class` | `ConfigReader.StateHolder`
    `static class` | `ConfigReader.UnsupportedOperationException`
    `static interface` | `ConfigReader.Variable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigReader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `decodeValue(String string_in)`
    `static Map<String,Object>` | `flatTree(Map<String,Object> props)`
    `Map<String,Object>` | `read(File f)`
    `Map<String,Object>` | `read(Reader reader)`
    `protected void` | `setBeanDefinitionValue(Object val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigReader

          public ConfigReader()

  - ### Method Detail

    - #### flatTree

          public static Map<String,Object> flatTree(Map<String,Object> props)

    - #### read

          public Map<String,Object> read(Reader reader)
                                  throws IOException,
                                         ConfigReader.ConfigException

      Throws:
        `IOException`
        `ConfigReader.ConfigException`

    - #### read

          public Map<String,Object> read(File f)
                                  throws IOException,
                                         ConfigReader.ConfigException

      Throws:
        `IOException`
        `ConfigReader.ConfigException`

    - #### decodeValue

          protected Object decodeValue(String string_in)

    - #### setBeanDefinitionValue

          protected void setBeanDefinitionValue(Object val)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.